<?php

namespace app\admin\model;

use fast\Random;
use think\Model;
use think\Session;

class Admin extends Model
{

    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';
    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';

    /**
     * 重置用户密码
     * @author baiyouwen
     */
    public function resetPassword($uid, $NewPassword)
    {
        $passwd = $this->encryptPassword($NewPassword);
        $ret = $this->where(['id' => $uid])->update(['password' => $passwd]);
        return $ret;
    }

    // 密码加密
    protected function encryptPassword($password, $salt = '', $encrypt = 'md5')
    {
        return $encrypt($password . $salt);
    }




    public  function ajaxadd($params=[],$group=[]){
        $params['salt'] = Random::alnum();
        $params['avatar'] = '/assets/img/avatar.png'; //设置新管理员默认头像。
        $result = self::save($params);
        $uid=self::getLastInsID();
        if ($result === false) {
            return ['code'=>-1,'msg'=>$this->getError()];
        }
        //过滤不允许的组别,避免越权
        $groupList = AuthGroup::where('status', '=', "normal")->column("id");
        $group = array_intersect($groupList, $group);
        if (!$group) {
            return ['code'=>-1,'msg'=>'The parent group exceeds permission limit'];
        }
        $dataset = [];
        foreach ($group as $value) {
            $dataset[] = ['uid' => $uid, 'group_id' => $value];
        }
        $AuthGroupAccess= new AuthGroupAccess();
        $AuthGroupAccess->saveAll($dataset);
        return ['code'=>1,'msg'=>""];
    }
}
